import { withInstall, withNoopInstall } from "../../utils/vue/install.mjs";
import sub_menu_default from "./src/sub-menu.mjs";
import { subMenuProps } from "./src/sub-menu.mjs";
import menu_default from "./src/menu.mjs";
import { menuEmits, menuProps } from "./src/menu.mjs";
import menu_item_default from "./src/menu-item2.mjs";
import menu_item_group_default from "./src/menu-item-group2.mjs";
withInstall(menu_default, {
  MenuItem: menu_item_default,
  MenuItemGroup: menu_item_group_default,
  SubMenu: sub_menu_default
});
withNoopInstall(menu_item_default);
withNoopInstall(menu_item_group_default);
withNoopInstall(sub_menu_default);
export {
  menuEmits,
  menuProps,
  subMenuProps
};
